
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #1978

Test new created Bangladesh application

08/05/2016 06:39 AM - Oleksii Kurasov

Status: Closed Start date: 08/05/2016

Priority: Urgent Due date: 08/11/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Submit + Screen!

History

#1 - 08/09/2016 01:12 PM - Oleksii Kurasov

- Due date changed from 08/07/2016 to 08/11/2016

#2 - 08/11/2016 09:39 AM - Oleksii Kurasov

- Status changed from New to Closed
